PROGRAM   CharTb23 ;
{$APPTYPE CONSOLE}
VAR
   i : Integer ;
BEGIN
   {----- LOOP , On each char }
   FOR i := 0 TO 255 DO BEGIN
      {----- Write char  ( Ignoring problem chars )  }
      CASE i OF
         $00 , $07 , $08 , $09 , $0A , $0D , $1A : WriteLn (   i  ,  '   '  ,  '-'   );
         ELSE WriteLn (   i  ,  '   '  ,  Chr(i)   );
      END;{case}
   END;{i}
END.
